Anonymous Login
2019-04-20 18:13 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000020Memostationautomaticpublic2016-05-19 17:34
Reporterdefreporter 
Assigned ToJiri 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformWindows x86-64OSMicrosoft Windows 10 (64 bit)OS Version10586 (10.0.10586.0)
Product Version 
Target Version8.1.0Fixed in Version8.1.0 
Summary0000020: EAccessViolation (Bug D8830000)
DescriptionAccess violation at address 01AA7F62 in module 'MemoStation.exe'. Read of address 00000000.
Additional InformationEurekaLog 7.4.0.0

Application:
-------------------------------------------
  1.4 Parameters:
  1.6 Up Time : 1 minute(s), 50 second(s)

Exception:
----------------------------------------------------------------------------------------------------------
  2.2 Address: 01AA7F62
  2.5 Type : EAccessViolation
  2.6 Message: Access violation at address 01AA7F62 in module 'MemoStation.exe'. Read of address 00000000.
  2.7 ID : D8830000
  2.11 Sent : 0

User:
-------------------------------------------------------
  3.2 Name : jirimotejlek
  3.3 Email :
  3.4 Company :
  3.5 Privileges: SeIncreaseQuotaPrivilege - OFF
                  SeSecurityPrivilege - OFF
                  SeTakeOwnershipPrivilege - OFF
                  SeLoadDriverPrivilege - OFF
                  SeSystemProfilePrivilege - OFF
                  SeSystemtimePrivilege - OFF
                  SeProfileSingleProcessPrivilege - OFF
                  SeIncreaseBasePriorityPrivilege - OFF
                  SeCreatePagefilePrivilege - OFF
                  SeBackupPrivilege - OFF
                  SeRestorePrivilege - OFF
                  SeShutdownPrivilege - OFF
                  SeDebugPrivilege - OFF
                  SeSystemEnvironmentPrivilege - OFF
                  SeChangeNotifyPrivilege - ON
                  SeRemoteShutdownPrivilege - OFF
                  SeUndockPrivilege - OFF
                  SeManageVolumePrivilege - OFF
                  SeImpersonatePrivilege - ON
                  SeCreateGlobalPrivilege - ON
                  SeIncreaseWorkingSetPrivilege - OFF
                  SeTimeZonePrivilege - OFF
                  SeCreateSymbolicLinkPrivilege - OFF

Active Controls:
-----------------------------
  4.1 Form Class : TFrmMercy
  4.4 Control Text: Cancel

Computer:
---------------------------------------
  5.5 Free Disk: 63738888192 (59.36 Gb)

Operating System:
-----------------------------------------------------
  6.1 Type : Microsoft Windows 10 (64 bit)
  6.2 Build # : 10586 (10.0.10586.0)
  6.3 Update :
  6.6 Install Language: English (0409)
  6.7 UI Language : English (0409)

Steps to reproduce:
------------
  8.1 Text:


Call Stack Information:
---------------------------------------------------------------------------------------------------------------------------------------------
|Methods |Details|Stack |Address |Module |Offset |Unit |Class |Procedure/Method |Line |
---------------------------------------------------------------------------------------------------------------------------------------------
|*Exception Thread: ID=7708; Parent=0; Priority=0 |
|Class=; Name=MAIN |
|DeadLock=0; Wait Chain= |
|Comment= |
|-------------------------------------------------------------------------------------------------------------------------------------------|
|7FFFFFFE|04 |00000000|01AA7F62|MemoStation.exe|016A7F62|Mercy |TFrmMercy |InitializeMercy |328[121] |
|00000020|03 |0019F904|00792CC5|MemoStation.exe|00392CC5|Vcl.ExtCtrls |TTimer |UpdateTimer | |
|00000020|03 |0019F918|00792D2C|MemoStation.exe|00392D2C|Vcl.ExtCtrls |TTimer |UpdateTimer | |
|00000020|04 |0019F930|01AA8CD9|MemoStation.exe|016A8CD9|Mercy |TFrmMercy |TimerDelayTimer |511[2] |
|00000020|03 |0019F93C|00792D7B|MemoStation.exe|00392D7B|Vcl.ExtCtrls |TTimer |Create | |
|00000020|03 |0019F968|00501900|MemoStation.exe|00101900|System.Classes| |StdWndProc | |
|00000020|03 |0019F980|74AF84F1|user32.dll |000384F1|user32 | | (possible SetManipulationInputTarget+81)| |
|00000020|03 |0019F9AC|74AD6C3B|user32.dll |00016C3B|user32 | | (possible CallWindowProcW+763) | |
|00000020|03 |0019FA54|74AD653C|user32.dll |0001653C|user32 | | (possible DispatchMessageW+588) | |
|00000020|03 |0019FAC0|74AD62FB|user32.dll |000162FB|user32 | |DispatchMessageW | |
|00000020|03 |0019FACC|00811FE3|MemoStation.exe|00411FE3|Vcl.Forms |TApplication|ProcessMessage | |
|00000020|03 |0019FAE8|00812026|MemoStation.exe|00412026|Vcl.Forms |TApplication|HandleMessage | |
|00000020|03 |0019FB0C|0080D53E|MemoStation.exe|0040D53E|Vcl.Forms |TCustomForm |ShowModal | |
|00000020|03 |0019FED0|74AD62FB|user32.dll |000162FB|user32 | |DispatchMessageW | |
|00000020|03 |0019FEDC|00811FE3|MemoStation.exe|00411FE3|Vcl.Forms |TApplication|ProcessMessage | |
|00000020|03 |0019FEF8|00812026|MemoStation.exe|00412026|Vcl.Forms |TApplication|HandleMessage | |
|00000020|03 |0019FF1C|00812359|MemoStation.exe|00412359|Vcl.Forms |TApplication|Run | |
|00000020|04 |0019FF4C|01C4820E|MemoStation.exe|0184820E|MemoStation | |Initialization |363[156] |
|00000020|03 |0019FF84|771438F2|kernel32.dll |000138F2|KERNEL32 | |BaseThreadInitThunk | |
---------------------------------------------------------------------------------------------------------------------------------------------

Modules Information:
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
|Handle |Name |Description |Version |Size |Modified |Path |
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
|00400000|MemoStation.exe | |1.0.1.6920 |36301824|2016-05-06 13:06:02|C:\Projects\Memostation\Deploy\Memostation\ |
|03010000|fdbck.dll | | |2179072 |2010-12-21 12:16:22|C:\Projects\Memostation\Deploy\Memostation\bin\ |
|032C0000|repair.dll | | |3216896 |2010-12-21 12:15:30|C:\Projects\Memostation\Deploy\Memostation\bin\ |
|05B60000|normaliz.dll |Unicode Normalization DLL |6.2.10586.0 |4608 |2015-10-30 08:18:23|C:\Windows\System32\ |
|20FF0000|borlndmm.dll |CodeGear Memory Manager |12.0.3210.17555 |32256 |2008-10-02 03:01:00|C:\Projects\Memostation\Deploy\Memostation\ |
|46480000|security.dll |Security Support Provider Interface |6.2.10586.0 |5120 |2015-10-30 08:18:25|C:\Windows\System32\ |
|65DA0000|netutils.dll |Net Win32 API Helpers DLL |6.2.10586.0 |34088 |2015-10-30 08:18:25|C:\Windows\System32\ |
|66010000|idndl.dll |Downlevel DLL |6.2.10586.0 |8192 |2015-10-30 08:18:23|C:\Windows\System32\ |
|66490000|DWrite.dll |Microsoft DirectX Typography Services |6.2.10586.0 |1987072 |2015-10-30 08:18:31|C:\Windows\System32\ |
|673E0000|userenv.dll |Userenv |6.2.10586.0 |92480 |2015-10-30 08:18:25|C:\Windows\System32\ |
|689A0000|ieframe.dll |Internet Browser |11.0.10586.212 |12125184|2016-03-29 06:41:27|C:\Windows\System32\ |
|6C300000|dcomp.dll |Microsoft DirectComposition Library |6.2.10586.11 |675064 |2016-03-23 22:05:44|C:\Windows\System32\ |
|6C3B0000|dataexchange.dll |Data exchange |6.2.10586.0 |248832 |2015-10-30 08:18:31|C:\Windows\System32\ |
|6C430000|shdocvw.dll |Shell Doc Object and Control Library |6.2.10586.0 |224768 |2015-10-30 08:18:38|C:\Windows\System32\ |
|6C4F0000|srvcli.dll |Server Service Client DLL |6.2.10586.212 |73872 |2016-03-29 09:26:48|C:\Windows\System32\ |
|6D830000|sxs.dll |Fusion 2.5 |6.2.10586.0 |521704 |2015-10-30 08:18:22|C:\Windows\System32\ |
|6F040000|symsrv.dll |Symbol Server |6.12.2.633 |131856 |2013-11-27 19:14:38|C:\Program Files (x86)\Neos Eureka S.r.l\EurekaLog 7\Bin\ |
|6F100000|dbghelp.dll |Windows Image Helper |6.12.2.633 |1213200 |2013-11-27 19:14:38|C:\Program Files (x86)\Neos Eureka S.r.l\EurekaLog 7\Bin\ |
|6F7E0000|d3d9.dll |Direct3D 9 Runtime |6.2.10586.0 |1865584 |2015-10-30 08:18:39|C:\Windows\System32\ |
|6FA30000|WindowsCodecs.dll |Microsoft Windows Codecs Library |6.2.10586.0 |1522152 |2015-10-30 08:18:31|C:\Windows\System32\ |
|6FE10000|FWPUCLNT.DLL |FWP/IPsec User-Mode API |6.2.10586.212 |269824 |2016-03-29 06:25:30|C:\Windows\System32\ |
|6FE60000|dnsapi.dll |DNS Client API DLL |6.2.10586.212 |535080 |2016-03-29 10:28:54|C:\Windows\System32\ |
|70280000|dpapi.dll |Data Protection API |6.2.10586.0 |13312 |2015-10-30 08:18:26|C:\Windows\System32\ |
|70290000|olepro32.dll | |6.2.10586.162 |88576 |2016-03-23 22:06:01|C:\Windows\System32\ |
|702B0000|winsta.dll |Winstation Library |6.2.10586.0 |260360 |2015-10-30 08:18:38|C:\Windows\System32\ |
|70300000|wtsapi32.dll |Windows Remote Desktop Session Host Server SDK APIs|6.2.10586.0 |53208 |2015-10-30 08:18:38|C:\Windows\System32\ |
|718C0000|cscapi.dll |Offline Files Win32 API |6.2.10586.0 |43008 |2015-10-30 08:18:25|C:\Windows\System32\ |
|718D0000|wkscli.dll |Workstation Service Client DLL |6.2.10586.212 |56320 |2016-03-29 09:25:44|C:\Windows\System32\ |
|718E0000|oleacc.dll |Active Accessibility Core Component |7.2.10586.212 |323072 |2016-03-29 07:53:31|C:\Windows\System32\ |
|71AB0000|dxgi.dll |DirectX Graphics Infrastructure |6.2.10586.162 |523752 |2016-03-23 22:05:50|C:\Windows\System32\ |
|71B40000|d3d11.dll |Direct3D 11 Runtime |6.2.10586.122 |2186864 |2016-03-23 22:05:50|C:\Windows\System32\ |
|71D60000|msls31.dll |Microsoft Line Services library file |3.10.349.0 |186368 |2015-10-30 08:18:39|C:\Windows\System32\ |
|71DA0000|riched20.dll |Rich Text Edit Control, v3.1 |5.31.23.1231 |515072 |2015-10-30 08:18:39|C:\Windows\System32\ |
|71E30000|WINMMBASE.dll |Base Multimedia Extension API DLL |6.2.10586.0 |132744 |2015-10-30 08:18:29|C:\Windows\System32\ |
|71E60000|winmm.dll |MCI API DLL |6.2.10586.0 |134352 |2015-10-30 08:18:29|C:\Windows\System32\ |
|71E90000|mpr.dll |Multiple Provider Router DLL |6.2.10586.0 |85720 |2015-10-30 08:18:31|C:\Windows\System32\ |
|71ED0000|rasadhlp.dll |Remote Access AutoDial Helper |6.2.10586.71 |13312 |2016-03-23 22:06:05|C:\Windows\System32\ |
|71F30000|msxml6.dll |MSXML 6.0 |6.30.10586.63 |2026736 |2016-03-23 22:05:44|C:\Windows\System32\ |
|72120000|winnsi.dll |Network Store Information RPC interface |6.2.10586.0 |26848 |2015-10-30 08:18:03|C:\Windows\System32\ |
|72340000|ondemandconnroutehelper.dll|On Demand Connctiond Route Helper |6.2.10586.212 |52736 |2016-03-29 08:05:30|C:\Windows\System32\ |
|72360000|mlang.dll |Multi Language Support DLL |6.2.10586.0 |192000 |2015-10-30 08:18:36|C:\Windows\System32\ |
|72690000|winhttp.dll |Windows HTTP Services |6.2.10586.71 |613888 |2016-03-23 22:05:50|C:\Windows\System32\ |
|72790000|mswsock.dll |Microsoft Windows Sockets 2.0 Service Provider |6.2.10586.0 |312160 |2015-10-30 08:18:31|C:\Windows\System32\ |
|72A20000|GdiPlus.dll |Microsoft GDI+ |6.2.10586.20 |1467392 |2016-03-23 22:05:44|C:\Windows\WinSxS\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.10586.20_none_22adb5eaa762c7fa\ |
|72ED0000|IPHLPAPI.DLL |IP Helper API |6.2.10586.0 |187488 |2015-10-30 08:18:31|C:\Windows\System32\ |
|72F00000|wininet.dll |Internet Extensions for Win32 |11.0.10586.212 |2229760 |2016-03-29 07:02:15|C:\Windows\System32\ |
|73130000|wsock32.dll |Windows Socket 32-Bit DLL |6.2.10586.0 |16384 |2015-10-30 08:18:34|C:\Windows\System32\ |
|733D0000|iertutil.dll |Run time utility for Internet Explorer |11.0.10586.122 |2919320 |2016-03-23 22:06:36|C:\Windows\System32\ |
|736A0000|urlmon.dll |OLE32 Extensions for Win32 |11.0.10586.212 |1500672 |2016-03-29 07:05:14|C:\Windows\System32\ |
|73930000|propsys.dll |Microsoft Property System |7.0.10586.0 |1355344 |2015-10-30 08:18:31|C:\Windows\System32\ |
|73A80000|uxtheme.dll |Microsoft UxTheme Library |6.2.10586.0 |458752 |2015-10-30 08:18:37|C:\Windows\System32\ |
|73F80000|twinapi.appcore.dll |twinapi.appcore |6.2.10586.0 |836208 |2015-10-30 08:18:31|C:\Windows\System32\ |
|74210000|apphelp.dll |Application Compatibility Client Library |6.2.10586.0 |581632 |2015-10-30 08:18:22|C:\Windows\System32\ |
|742B0000|secur32.dll |Security Support Provider Interface |6.2.10586.0 |24064 |2015-10-30 08:18:26|C:\Windows\System32\ |
|742C0000|fwbase.dll |Firewall Base DLL |6.2.10586.162 |163328 |2016-03-23 22:06:35|C:\Windows\System32\ |
|742F0000|davhlpr.dll |DAV Helper DLL |6.2.10586.0 |22528 |2015-10-30 08:18:25|C:\Windows\System32\ |
|74300000|bcrypt.dll |Windows Cryptographic Primitives Library |6.2.10586.0 |107408 |2015-10-30 08:18:26|C:\Windows\System32\ |
|74320000|winspool.drv |Windows Spooler Driver |6.2.10586.122 |400896 |2016-03-23 22:06:36|C:\Windows\System32\ |
|74390000|comctl32.dll |User Experience Controls Library |6.10.10586.0 |2142048 |2015-10-30 08:18:36|C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.10586.0_none_d3c2e4e965da4528\|
|745A0000|msimg32.dll |GDIEXT Client DLL |6.2.10586.0 |7168 |2015-10-30 08:18:29|C:\Windows\System32\ |
|745B0000|version.dll |Version Checking and File Installation Libraries |6.2.10586.0 |27360 |2015-10-30 08:18:36|C:\Windows\System32\ |
|745C0000|dwmapi.dll |Microsoft Desktop Window Manager API |6.2.10586.0 |94208 |2015-10-30 08:18:29|C:\Windows\System32\ |
|745F0000|CRYPTBASE.dll |Base cryptographic API DLL |6.2.10586.0 |31528 |2015-10-30 08:18:31|C:\Windows\System32\ |
|74600000|sspicli.dll |Security Support Provider Interface |6.2.10586.0 |116216 |2015-10-30 08:18:31|C:\Windows\System32\ |
|74620000|ole32.dll |Microsoft OLE for Windows |6.2.10586.162 |957608 |2016-03-23 22:06:01|C:\Windows\System32\ |
|74710000|gdi32.dll |GDI Client DLL |6.2.10586.63 |1371792 |2016-03-23 22:05:50|C:\Windows\System32\ |
|74860000|shlwapi.dll |Shell Light-weight Utility Library |6.2.10586.0 |276336 |2015-10-30 08:18:36|C:\Windows\System32\ |
|748B0000|clbcatq.dll |COM+ Configuration Catalog |2001.12.10941.16384|526304 |2015-10-30 08:18:25|C:\Windows\System32\ |
|749F0000|imagehlp.dll |Windows NT Image Helper |6.2.10586.0 |99176 |2015-10-30 08:18:03|C:\Windows\System32\ |
|74A10000|sechost.dll |Host for SCM/SDDL/LSA Lookup APIs |6.2.10586.0 |269616 |2015-10-30 08:18:31|C:\Windows\System32\ |
|74AC0000|user32.dll |Multi-User Windows USER API Client DLL |6.2.10586.20 |1337240 |2016-03-23 22:05:50|C:\Windows\System32\ |
|74C70000|bcryptPrimitives.dll |Windows Cryptographic Primitives Library |6.2.10586.0 |360480 |2015-10-30 08:18:03|C:\Windows\System32\ |
|74CD0000|comdlg32.dll |Common Dialogs DLL |6.2.10586.0 |965120 |2015-10-30 08:18:36|C:\Windows\System32\ |
|74DD0000|KERNELBASE.dll |Windows NT BASE API Client DLL |6.2.10586.162 |1557768 |2016-03-23 22:06:09|C:\Windows\System32\ |
|74F50000|cfgmgr32.dll |Configuration Manager DLL |6.2.10586.0 |217976 |2015-10-30 08:18:22|C:\Windows\System32\ |
|74F90000|shell32.dll |Windows Shell Common Dll |6.2.10586.122 |21124344|2016-03-23 22:06:05|C:\Windows\System32\ |
|763A0000|usp10.dll |Uniscribe Unicode script processor |6.2.10586.0 |77824 |2015-10-30 08:18:29|C:\Windows\System32\ |
|763C0000|crypt32.dll |Crypto API32 |6.2.10586.0 |1535024 |2015-10-30 08:18:26|C:\Windows\System32\ |
|766B0000|msasn1.dll |ASN.1 Runtime APIs |6.2.10586.0 |49592 |2015-10-30 08:18:26|C:\Windows\System32\ |
|76760000|nsi.dll |NSI User-mode interface DLL |6.2.10586.0 |20152 |2015-10-30 08:18:03|C:\Windows\System32\ |
|76770000|oleaut32.dll | |6.2.10586.0 |589856 |2015-10-30 08:18:31|C:\Windows\System32\ |
|76810000|windows.storage.dll |Microsoft WinRT Storage API |6.2.10586.162 |5242496 |2016-03-23 22:05:47|C:\Windows\System32\ |
|76D10000|msvcrt.dll |Windows NT CRT DLL |7.0.10586.0 |773168 |2015-10-30 08:18:31|C:\Windows\System32\ |
|76DD0000|FirewallAPI.dll |Windows Firewall API |6.2.10586.162 |369664 |2016-03-23 22:06:35|C:\Windows\System32\ |
|76E30000|kernel.appcore.dll |AppModel API Host |6.2.10586.0 |39792 |2015-10-30 08:18:23|C:\Windows\System32\ |
|76E40000|combase.dll |Microsoft COM for Windows |6.2.10586.103 |1824264 |2016-03-23 22:05:50|C:\Windows\System32\ |
|77000000|netapi32.dll |Net Win32 API DLL |6.2.10586.212 |69744 |2016-03-29 09:23:00|C:\Windows\System32\ |
|77020000|psapi.dll |Process Status Helper |6.2.10586.0 |17048 |2015-10-30 08:18:22|C:\Windows\System32\ |
|77030000|SHCore.dll |SHCORE |6.2.10586.0 |569744 |2015-10-30 08:18:36|C:\Windows\System32\ |
|770C0000|profapi.dll |User Profile Basic API |6.2.10586.0 |54752 |2015-10-30 08:18:31|C:\Windows\System32\ |
|770D0000|ws2_32.dll |Windows Socket 2.0 32-Bit DLL |6.2.10586.0 |388896 |2015-10-30 08:18:31|C:\Windows\System32\ |
|77130000|kernel32.dll |Windows NT BASE API Client DLL |6.2.10586.0 |620176 |2015-10-30 08:18:22|C:\Windows\System32\ |
|77210000|imm32.dll |Multi-User Windows IMM32 API Client DLL |6.2.10586.0 |169928 |2015-10-30 08:18:29|C:\Windows\System32\ |
|77240000|advapi32.dll |Advanced Windows 32 Base API |6.2.10586.63 |499432 |2016-03-23 22:05:44|C:\Windows\System32\ |
|772C0000|msctf.dll |MSCTF Server DLL |6.2.10586.71 |1174008 |2016-03-23 22:05:44|C:\Windows\System32\ |
|773E0000|powrprof.dll |Power Profile Helper DLL |6.2.10586.0 |270672 |2015-10-30 08:18:24|C:\Windows\System32\ |
|77430000|rpcrt4.dll |Remote Procedure Call Runtime |6.2.10586.0 |707600 |2015-10-30 08:18:31|C:\Windows\System32\ |
|778F0000|ntdll.dll |NT Layer DLL |6.2.10586.122 |1542816 |2016-03-23 22:06:10|C:\Windows\System32\ |
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Processes Information:
----------------------


Assembler Information:
--------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Base Address: $1AA7000, Allocation Base: $400000, Region Size: 1712128
; Allocation Protect: PAGE_EXECUTE_WRITECOPY, Protect: PAGE_EXECUTE_READ
; State: MEM_COMMIT, Type: MEM_IMAGE
;
;
; Mercy.TFrmMercy.InitializeMercy (Line=328 - Offset=1732)
; --------------------------------------------------------
01AA7F30 8B45F0 MOV EAX, [EBP-$10]
01AA7F33 8B4040 MOV EAX, [EAX+$40]
01AA7F36 33D2 XOR EDX, EDX
01AA7F38 E82B78EAFE CALL -$011587D5 ; ($0094F768) Data.TFields.GetField
01AA7F3D 8B10 MOV EDX, [EAX]
01AA7F3F FF5274 CALL DWORD PTR [EDX+$74]
01AA7F42 8945B8 MOV [EBP-$48], EAX
01AA7F45 DB45B8 FILD DWORD PTR [EBP-$48]
01AA7F48 DD5DB0 FSTP QWORD PTR [EBP-$50]
01AA7F4B 9B WAIT
01AA7F4C FF75B4 PUSH DWORD PTR [EBP-$4C]
01AA7F4F FF75B0 PUSH DWORD PTR [EBP-$50]
01AA7F52 8B45F4 MOV EAX, [EBP-$0C]
01AA7F55 8B8000040000 MOV EAX, [EAX+$00000400]
01AA7F5B B9FFFFFF00 MOV ECX, $00FFFFFF ; ($00FFFFFF) tmsUXlsBaseRecords.TBaseRowColRecord.GetColumn (Line=810)
01AA7F60 33D2 XOR EDX, EDX
;
; Line=328 - Offset=1782
; ----------------------
01AA7F62 8B30 MOV ESI, [EAX] ; <-- EXCEPTION
01AA7F64 FF9624010000 CALL DWORD PTR [ESI+$00000124]
;
; Line=329 - Offset=1790
; ----------------------
01AA7F6A 8B45F4 MOV EAX, [EBP-$0C]
01AA7F6D 8B8094040000 MOV EAX, [EAX+$00000494]
01AA7F73 E87C66CBFE CALL -$01349984 ; ($0075E5F4) Vcl.TProgressBar.StepIt
;
; Line=330 - Offset=1804
; ----------------------
01AA7F78 43 INC EBX
;
; Line=331 - Offset=1805
; ----------------------
01AA7F79 83FB79 CMP EBX, $79
01AA7F7C 0F85D9FEFFFF JNZ -$0127 ; ($01AA7E5B) Mercy.TFrmMercy.InitializeMercy (Line=321)
;
; Line=333 - Offset=1814
; ----------------------
01AA7F82 8B45F0 MOV EAX, [EBP-$10]
01AA7F85 E8CA92EBFE CALL -$01146D36 ; ($00961254) Data.TDataSet.Close
;
; Line=334 - Offset=1822
; ----------------------
01AA7F8A 8B45F0 MOV EAX, [EBP-$10]
01AA7F8D 8B8014020000 MOV EAX, [EAX+$00000214]
01AA7F93 BA0C85AA01 MOV EDX, $01AA850C ; ($01AA850C) Mercy.TFrmMercy.InitializeMercy (Line=367) UNICODE: 'SELECT AVG (Items) FROM MEMORY tableDays'
01AA7F98 8B08 MOV ECX, [EAX]
01AA7F9A FF5130 CALL DWORD PTR [ECX+$30]
;
; Line=335 - Offset=1841
; ----------------------
01AA7F9D 8B45F0 MOV EAX, [EBP-$10]
01AA7FA0 E89B92EBFE CALL -$01146D65 ; ($00961240) Data.TDataSet.Open

Registers:
-----------------------------
EAX: 00000000 EDI: 0C260F87
EBX: 00000000 ESI: 01E5A438
ECX: 00FFFFFF EBP: 0019F92C
EDX: 00000000 ESP: 0019F8A0
EIP: 01AA7F62 FLG: 00210246
EXP: 01AA7F62 STK: 0019F8A0

Stack: Memory Dump:
------------------ ---------------------------------------------------------------------------
0C6BA4B4: 00000000 01AA7F62: 8B 30 FF 96 24 01 00 00 8B 45 F4 8B 80 94 04 00 .0..$....E......
0C6BA4B0: 40100000 01AA7F72: 00 E8 7C 66 CB FE 43 83 FB 79 0F 85 D9 FE FF FF ..|f..C..y......
0C6BA4AC: 00000000 01AA7F82: 8B 45 F0 E8 CA 92 EB FE 8B 45 F0 8B 80 14 02 00 .E.......E......
0C6BA4A8: 0DE473FC 01AA7F92: 00 BA 0C 85 AA 01 8B 08 FF 51 30 8B 45 F0 E8 9B .........Q0.E...
0C6BA4A4: 0785EDBC 01AA7FA2: 92 EB FE 8B 45 F0 8B 40 40 33 D2 E8 B6 77 EA FE ....E..@@3...w..
0C6BA4A0: 0CA8DC50 01AA7FB2: 8B 10 FF 52 74 8B F0 6A 00 6A 00 89 75 B8 DB 45 ...Rt..j.j..u..E
0C6BA49C: 00792D6C 01AA7FC2: B8 DD 5D B0 9B FF 75 B4 FF 75 B0 8B 45 F4 8B 80 ..]...u..u..E...
0C6BA498: 0C260F87 01AA7FD2: 04 04 00 00 B9 FF FF FF 00 33 D2 8B 18 FF 93 30 .........3.....0
0C6BA494: 0019F92C 01AA7FE2: 01 00 00 68 00 00 5E 40 6A 00 89 75 B8 DB 45 B8 ...h..^@j..u..E.
0C6BA490: 01AA81D9 01AA7FF2: DD 5D B0 9B FF 75 B4 FF 75 B0 8B 45 F4 8B 80 04 .]...u..u..E....
0C6BA48C: 0019F948 01AA8002: 04 00 00 B9 FF FF FF 00 33 D2 8B 18 FF 93 30 01 ........3.....0.
0C6BA488: 0019F92C 01AA8012: 00 00 83 3D 44 A4 E5 01 01 7E 5B 6A 00 6A 00 DB ...=D....~[j.j..
0C6BA484: 01AA8111 01AA8022: 05 44 A4 E5 01 DD 5D B0 9B FF 75 B4 FF 75 B0 8B .D....]...u..u..
0C6BA480: 0019F8B4 01AA8032: 45 F4 8B 80 0C 04 00 00 B9 FF FF FF 00 33 D2 8B E............3..
0C6BA47C: 00000000 01AA8042: 18 FF 93 30 01 00 00 68 00 00 5E 40 6A 00 DB 05 ...0...h..^@j...
0C6BA478: 00000000 01AA8052: 44 A4 E5 01 DD 5D B0 9B FF 75 B4 FF 75 B0 8B 45 D....]...u..u..E
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000021resolvedJiri EAccessViolation (Bug 2CC50000) 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2016-05-09 12:33 defreporter New Issue
2016-05-09 12:33 defreporter Assigned To => defreporter
2016-05-09 12:33 defreporter Status new => assigned
2016-05-09 17:15 Jiri Relationship added has duplicate 0000021
2016-05-19 17:33 Jiri Assigned To defreporter => Jiri
2016-05-19 17:33 Jiri Status assigned => resolved
2016-05-19 17:33 Jiri Resolution open => fixed
2016-05-19 17:33 Jiri Fixed in Version => 8.1.0
2016-05-19 17:34 Jiri Target Version => 8.1.0
2016-05-19 17:34 Jiri Additional Information Updated View Revisions
+Issue History